Package tck.arquillian.porting.lib.spi

# Interface TestArchiveProcessor

All Known Implementing Classes:
  `AbstractTestArchiveProcessor`

public interface TestArchiveProcessor
Interface that vendors implement to augment test archives with vendor specific deployment content.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `processClientArchive(org.jboss.shrinkwrap.api.spec.JavaArchive clientArchive, Class<?> testClass, URL sunXmlUrl)`
  Called to process a client archive (jar) that is part of the test deployment.
  `void`
  `processEarArchive(org.jboss.shrinkwrap.api.spec.EnterpriseArchive earArchive, Class<?> testClass, URL sunXmlUrl)`
  Called to process an enterprise archive (ear) that is part of the test deployment.
  `void`
  `processEjbArchive(org.jboss.shrinkwrap.api.spec.JavaArchive ejbArchive, Class<?> testClass, URL sunXmlUrl)`
  Called to process a ejb archive (jar) that is part of the test deployment.
  `void`
  `processParArchive(org.jboss.shrinkwrap.api.spec.JavaArchive parArchive, Class<?> testClass, URL persistenceXmlUrl)`
  Called to process a persistence unit archive (par) that is part of the test deployment.
  `void`
  `processRarArchive(org.jboss.shrinkwrap.api.spec.JavaArchive rarArchive, Class<?> testClass, URL sunXmlUrl)`
  Called to process a resource adaptor archive (rar) that is part of the test deployment.
  `void`
  `processWebArchive(org.jboss.shrinkwrap.api.spec.WebArchive webArchive, Class<?> testClass, URL sunXmlUrl)`
  Called to process a web archive (war) that is part of the test deployment.

- ## Method Details

  - ### processClientArchive

    void processClientArchive(org.jboss.shrinkwrap.api.spec.JavaArchive clientArchive, Class<?> testClass, URL sunXmlUrl)
    Called to process a client archive (jar) that is part of the test deployment.
    Parameters:
      `clientArchive` - - the appclient archive
      `testClass` - - the TCK test class
      `sunXmlUrl` - - the URL to the sun-application-client.xml file

  - ### processEjbArchive

    void processEjbArchive(org.jboss.shrinkwrap.api.spec.JavaArchive ejbArchive, Class<?> testClass, URL sunXmlUrl)
    Called to process a ejb archive (jar) that is part of the test deployment.
    Parameters:
      `ejbArchive` - - the ejb archive
      `testClass` - - the TCK test class
      `sunXmlUrl` - - the URL to the sun-ejb-jar.xml file

  - ### processWebArchive

    void processWebArchive(org.jboss.shrinkwrap.api.spec.WebArchive webArchive, Class<?> testClass, URL sunXmlUrl)
    Called to process a web archive (war) that is part of the test deployment.
    Parameters:
      `webArchive` - - the web archive
      `testClass` - - the TCK test class
      `sunXmlUrl` - - the URL to the sun-web.xml file

  - ### processRarArchive

    void processRarArchive(org.jboss.shrinkwrap.api.spec.JavaArchive rarArchive, Class<?> testClass, URL sunXmlUrl)
    Called to process a resource adaptor archive (rar) that is part of the test deployment.
    Parameters:
      `rarArchive` - - the resource archive
      `testClass` - - the TCK test class
      `sunXmlUrl` - - the URL to the sun-ra.xml file

  - ### processParArchive

    void processParArchive(org.jboss.shrinkwrap.api.spec.JavaArchive parArchive, Class<?> testClass, URL persistenceXmlUrl)
    Called to process a persistence unit archive (par) that is part of the test deployment.
    Parameters:
      `parArchive` - - the resource archive
      `testClass` - - the TCK test class
      `persistenceXmlUrl` - - the URL to the sun-ra.xml file

  - ### processEarArchive

    void processEarArchive(org.jboss.shrinkwrap.api.spec.EnterpriseArchive earArchive, Class<?> testClass, URL sunXmlUrl)
    Called to process an enterprise archive (ear) that is part of the test deployment.
    Parameters:
      `earArchive` - - the application archive
      `testClass` - - the TCK test class
      `sunXmlUrl` - - the URL to the sun-application.xml file